import type { App, DefineComponent } from 'vue' // 所有类型都加上 type
import SvgIcon from './SvgIcon/index.vue'
import Pagination from './Pagination/index.vue'

const components = {
  SvgIcon,
  Pagination,
}

export default {
  install(app: App) {
    Object.entries(components).forEach(([name, component]) => {
      app.component(name, component)
    })
  },
}
