//对外暴露配置路由(常量路由)
export const constantRoute = [
  {
    //登录路由
    path: '/login',
    component: () => import('@/views/login/index.vue'),
    name: 'login', //命名路由
  },
  {
    //登录成功展示数据的路由
    path: '/',
    component: () => import('@/views/home/index.vue'),
    name: 'layout', //命名路由
  },
  {
    path: '/404',
    component: () => import('@/views/404/index.vue'),
    name: '404',
  },
  {
    path: '/:pathMatch(.*)*', //匹配所有未定义的路由
    redirect: '/404', //重定向到404页面
    name: 'Any', //命名路由
  },
] //路由表
